def tihuan_shajiang(old_bianma, old_mc, old_jg, new_name):
    new_name = new_name.split('或')[0]
    new_name = new_name.replace('：', ':')
    if '通用' in new_name or '清水' in new_name or '低强度' in new_name or 'DTG' in new_name or '素水泥浆' in new_name or 'DTA' in new_name:
        return {'bianma': old_bianma, 'new_bianma': old_bianma, 'mc': old_mc, 'jg': old_jg}
    if '专用' in new_name:
        if 'Mb10' in new_name or 'M10' in new_name or 'Ma10' in new_name:
            if old_bianma.startswith("8001"):
                return {'bianma': old_bianma, 'new_bianma': '80010106', 'mc': new_name, 'jg': '191.53'}
            elif old_bianma.startswith("8005"):
                return {'bianma': old_bianma, 'new_bianma': '80050106', 'mc': new_name, 'jg': '199.56'}
            else:
                return {'bianma': old_bianma, 'new_bianma': old_bianma, 'mc': new_name, 'jg': old_jg}
        if 'Mb7.5' in new_name or 'M7.5' in new_name or 'Ma7.5' in new_name:
            if old_bianma.startswith("8001"):
                return {'bianma': old_bianma, 'new_bianma': '80010105', 'mc': new_name, 'jg': '182.23'}
            elif old_bianma.startswith("8005"):
                return {'bianma': old_bianma, 'new_bianma': '80050105', 'mc': new_name, 'jg': '195.2'}
            else:
                return {'bianma': old_bianma, 'new_bianma': old_bianma, 'mc': new_name, 'jg': old_jg}
        if 'Mb5' in new_name or 'M5' in new_name or 'Ma5' in new_name:
            if old_bianma.startswith("8001"):
                return {'bianma': old_bianma, 'new_bianma': '80010104', 'mc': new_name, 'jg': '180.37'}
            elif old_bianma.startswith("8005"):
                return {'bianma': old_bianma, 'new_bianma': '80050104', 'mc': new_name, 'jg': '193'}
            else:
                return {'bianma': old_bianma, 'new_bianma': old_bianma, 'mc': new_name, 'jg': old_jg}
        if 'Mb2.5' in new_name or 'M2.5' in new_name or 'Ma2.5' in new_name:
            if old_bianma.startswith("8001"):
                return {'bianma': old_bianma, 'new_bianma': '80010103', 'mc': new_name, 'jg': '175.72'}
            elif old_bianma.startswith("8005"):
                return {'bianma': old_bianma, 'new_bianma': '80050103', 'mc': new_name, 'jg': '188.64'}
            else:
                return {'bianma': old_bianma, 'new_bianma': old_bianma, 'mc': new_name, 'jg': old_jg}
        return {'bianma': old_bianma, 'new_bianma': old_bianma, 'mc': new_name, 'jg': old_jg}
    if '水泥砂浆' in new_name:
        if 'Mb10' in new_name or 'M10' in new_name or 'Ma10' in new_name:
            return {'bianma': old_bianma, 'new_bianma': '80010106', 'mc': new_name, 'jg': '191.53'}
        if 'Mb7.5' in new_name or 'M7.5' in new_name or 'Ma7.5' in new_name:
            return {'bianma': old_bianma, 'new_bianma': '80010105', 'mc': new_name, 'jg': '182.23'}
        if 'Mb5' in new_name or 'M5' in new_name or 'Ma5' in new_name:
            return {'bianma': old_bianma, 'new_bianma': '80010104', 'mc': new_name, 'jg': '180.37'}
        if 'Mb2.5' in new_name or 'M2.5' in new_name or 'Ma2.5' in new_name:
            return {'bianma': old_bianma, 'new_bianma': '80010103', 'mc': new_name, 'jg': '175.72'}
        if '1:1.5' in new_name:
            return {'bianma': old_bianma, 'new_bianma': '80010122', 'mc': new_name, 'jg': '289.29'}
        if '1:1' in new_name:
            return {'bianma': old_bianma, 'new_bianma': '80010121', 'mc': new_name, 'jg': '308.42'}
        if '1:2.5' in new_name:
            return {'bianma': old_bianma, 'new_bianma': '80010124', 'mc': new_name, 'jg': '265.07'}
        if '1:2' in new_name:
            return {'bianma': old_bianma, 'new_bianma': '80010123', 'mc': new_name, 'jg': '275.64'}
        if '1:3' in new_name:
            return {'bianma': old_bianma, 'new_bianma': '80010125', 'mc': new_name, 'jg': '239.65'}
        return {'bianma': old_bianma, 'new_bianma': old_bianma, 'mc': new_name, 'jg': old_jg}
    if '石灰砂浆' in new_name:
        if '1:2.5' in new_name:
            return {'bianma': old_bianma, 'new_bianma': '80030104', 'mc': new_name, 'jg': '200.91'}
        if '1:2' in new_name:
            return {'bianma': old_bianma, 'new_bianma': '80030103', 'mc': new_name, 'jg': '206.31'}
        if '1:3' in new_name:
            return {'bianma': old_bianma, 'new_bianma': '80010105', 'mc': new_name, 'jg': '192.27'}
        if '1:4' in new_name:
            return {'bianma': old_bianma, 'new_bianma': '80010106', 'mc': new_name, 'jg': '168.51'}
        return {'bianma': old_bianma, 'new_bianma': old_bianma, 'mc': new_name, 'jg': old_jg}
    if '混合砂浆' in new_name or '水泥石灰膏砂浆' in new_name or '水泥石灰砂浆' in new_name:
        if 'M2.5' in new_name:
            return {'bianma': old_bianma, 'new_bianma': '80050103', 'mc': new_name, 'jg': '188.64'}
        if 'M5' in new_name:
            return {'bianma': old_bianma, 'new_bianma': '80050104', 'mc': new_name, 'jg': '193'}
        if 'M7.5' in new_name:
            return {'bianma': old_bianma, 'new_bianma': '80050105', 'mc': new_name, 'jg': '195.2'}
        if 'M10' in new_name:
            return {'bianma': old_bianma, 'new_bianma': '80050106', 'mc': new_name, 'jg': '199.56'}
        if 'M15' in new_name:
            return {'bianma': old_bianma, 'new_bianma': '80050108', 'mc': new_name, 'jg': '217.79'}
        if 'M30' in new_name:
            return {'bianma': old_bianma, 'new_bianma': '80050111', 'mc': new_name, 'jg': '294.39'}
        if '1:1:6' in new_name:
            return {'bianma': old_bianma, 'new_bianma': '80050125', 'mc': new_name, 'jg': '215.85'}
        if '1:0.5:3' in new_name:
            return {'bianma': old_bianma, 'new_bianma': '80050312', 'mc': new_name, 'jg': '252.9'}
        return {'bianma': old_bianma, 'new_bianma': old_bianma, 'mc': new_name, 'jg': old_jg}
    else:
        if 'Mb10' in new_name or 'M10' in new_name or 'Ma10' in new_name:
            if old_bianma.startswith("8001"):
                return {'bianma': old_bianma, 'new_bianma': '80010106', 'mc': new_name, 'jg': '191.53'}
            elif old_bianma.startswith("8005"):
                return {'bianma': old_bianma, 'new_bianma': '80050106', 'mc': new_name, 'jg': '199.56'}
            else:
                return {'bianma': old_bianma, 'new_bianma': old_bianma, 'mc': new_name, 'jg': old_jg}
        if 'Mb7.5' in new_name or 'M7.5' in new_name or 'Ma7.5' in new_name:
            if old_bianma.startswith("8001"):
                return {'bianma': old_bianma, 'new_bianma': '80010105', 'mc': new_name, 'jg': '182.23'}
            elif old_bianma.startswith("8005"):
                return {'bianma': old_bianma, 'new_bianma': '80050105', 'mc': new_name, 'jg': '195.2'}
            else:
                return {'bianma': old_bianma, 'new_bianma': old_bianma, 'mc': new_name, 'jg': old_jg}
        if 'Mb5' in new_name or 'M5' in new_name or 'Ma5' in new_name:
            if old_bianma.startswith("8001"):
                return {'bianma': old_bianma, 'new_bianma': '80010104', 'mc': new_name, 'jg': '180.37'}
            elif old_bianma.startswith("8005"):
                return {'bianma': old_bianma, 'new_bianma': '80050104', 'mc': new_name, 'jg': '193'}
            else:
                return {'bianma': old_bianma, 'new_bianma': old_bianma, 'mc': new_name, 'jg': old_jg}
        if 'Mb2.5' in new_name or 'M2.5' in new_name or 'Ma2.5' in new_name:
            if old_bianma.startswith("8001"):
                return {'bianma': old_bianma, 'new_bianma': '80010103', 'mc': new_name, 'jg': '175.72'}
            elif old_bianma.startswith("8005"):
                return {'bianma': old_bianma, 'new_bianma': '80050103', 'mc': new_name, 'jg': '188.64'}
            else:
                return {'bianma': old_bianma, 'new_bianma': old_bianma, 'mc': new_name, 'jg': old_jg}
        return {'bianma': old_bianma, 'new_bianma': old_bianma, 'mc': new_name, 'jg': old_jg}
